[**@rxap/data-source v19.1.1-dev.0**](../README.md)

***

[@rxap/data-source](../globals.md) / ObservableDataSourceMetadata

# Interface: ObservableDataSourceMetadata\<Data\>

Defined in: [packages/angular/data-source/src/lib/observable.data-source.ts:18](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/observable.data-source.ts#L18)

## Extends

- [`BaseDataSourceMetadata`](BaseDataSourceMetadata.md)

## Type Parameters

• **Data**

## Indexable

\[`key`: `string`\]: `any`

## Properties

### data?

> `optional` **data**: `Observable`\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/observable.data-source.ts:19](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/observable.data-source.ts#L19)

***

### id

> **id**: `string`

Defined in: [packages/angular/definition/src/lib/definition.metadata.ts:9](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/definition/src/lib/definition.metadata.ts#L9)

#### Inherited from

[`BaseDataSourceMetadata`](BaseDataSourceMetadata.md).[`id`](BaseDataSourceMetadata.md#id)

***

### restore?

> `optional` **restore**: `boolean`

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:58](https://gitlab.com/rxap/packages/-/blob/578764e2054aada088559336f4c2cf49e388b60e/packages/angular/data-source/src/lib/base.data-source.ts#L58)

Indicates weather the data source should restore the last value from local storage

#### Inherited from

[`BaseDataSourceMetadata`](BaseDataSourceMetadata.md).[`restore`](BaseDataSourceMetadata.md#restore)
